*-------------------------------------------------------------------------*
*                                                                          
*                     SPSS SETUP FILE FOR ICPSR 02884
*         NATIONAL TREATMENT IMPROVEMENT EVALUATION STUDY (NTIES),
*                                1992-1997
*           (DATASET 0004: NTIES PATIENT RECORD ABSTRACTION FORM
*                                 (NPRAF))
* 
*
*  SPSS setup sections are provided for the ASCII version of this data
*  collection.  These sections are listed below:
*
*  DATA LIST:  assigns the name, type, decimal specification (if any),
*  and specifies the beginning and ending column locations for each
*  variable in the data file. Users must replace the "data-filename"
*  in the DATA LIST statement with a filename specifying the directory
*  on the user's computer system in which the downloaded and unzipped
*  data file is physically located (e.g., "c:\temp\02884-0004-data.txt").
*
*  VARIABLE LABELS:  assigns descriptive labels to all variables.
*  Labels and variable names may be identical for some data files.
*
*  MISSING VALUES: declares user-defined missing values. Not all
*  variables in this data set necessarily have user-defined missing
*  values. These values can be treated specially in data transformations,
*  statistical calculations, and case selection.
*
*  VALUE LABELS: assigns descriptive labels to codes found in the data
*  file.  Not all codes necessarily have assigned value labels.
*
*  NOTE:  Users should modify this setup file to suit their specific 
*  needs. The MISSING VALUES section has been commented out (i.e., '*').
*  To include the MISSING VALUES section in the final SPSS setup, remove 
*  the comment indicators from the desired section.
*
*  CREATING A PERMANENT SPSS DATA FILE: If users wish to create and save
*  an SPSS data file for further analysis using SPSS for Windows, the
*  necessary "SAVE OUTFILE" command is provided in the last line of
*  this file.  To activate the command, users must delete the leading
*  asterisk (*) and replace "spss-filename" with a filename specifying
*  the location on the user's computer system to which the new data file
*  will be saved (e.g., SAVE OUTFILE="c:\spsswin\data\da02884-0004.sav").
*
*-------------------------------------------------------------------------.

* SPSS FILE HANDLE AND DATA LIST COMMANDS.

FILE HANDLE DATA / NAME="data-filename" LRECL=526.
DATA LIST FILE=DATA /
              CASEID 1-7              PRGMTYPE 8                  TRT2 9
                 PRG2 10              CELL 11-12                CELL2 13
              F3_1 14-15              F3_2 16-17              F3_3 18-19
                F4 20-21                F7 22-23             F7A_1 24-25
             F7A_2 26-27             F7A_3 28-29                F8 30-31
                F9 32-33              F10A 34-35              F10B 36-37
               F11 38-39              F11B 40-41              F11C 42-43
               F12 44-45              F12C 46-47             F13M1 48-49
             F13M2 50-51             F13M3 52-53             F13M4 54-55
             F13M5 56-57             F13M6 58-59             F13M7 60-61
             F13M8 62-63             F13M9 64-65            F13M10 66-67
            F13M11 68-69            F13M12 70-71            F13M13 72-73
               F14 74-75         F14A1 76-80 (2)           F14A1M1 81-82
           F14A1M2 83-84           F14A1M3 85-86           F14A1M4 87-88
           F14A1M5 89-90           F14A1M6 91-92           F14A1M7 93-94
           F14A1M8 95-96           F14A1M9 97-98        F14A2 99-103 (2)
         F14A2M1 104-105         F14A2M2 106-107         F14A2M3 108-109
         F14A2M4 110-111         F14A2M6 112-113         F14A2M8 114-115
         F14A2M9 116-117       F14A3 118-122 (2)         F14A3M1 123-124
         F14A3M2 125-126         F14A3M3 127-128         F14A3M4 129-130
         F14A3M6 131-132         F14A3M8 133-134         F14A3M9 135-136
       F14A4 137-141 (2)         F14A4M1 142-143         F14A4M2 144-145
         F14A4M3 146-147         F14A4M4 148-149         F14A4M5 150-151
         F14A4M6 152-153         F14A4M7 154-155         F14A4M8 156-157
         F14A4M9 158-159       F14A5 160-164 (2)         F14A5M1 165-166
         F14A5M2 167-168         F14A5M3 169-170         F14A5M4 171-172
         F14A5M6 173-174         F14A5M8 175-176         F14A5M9 177-178
       F14A6 179-183 (2)         F14A6M1 184-185         F14A6M2 186-187
         F14A6M3 188-189         F14A6M4 190-191         F14A6M6 192-193
         F14A6M8 194-195         F14A6M9 196-197       F14A7 198-202 (2)
         F14A7M1 203-204         F14A7M2 205-206         F14A7M3 207-208
         F14A7M4 209-210         F14A7M5 211-212         F14A7M6 213-214
         F14A7M8 215-216         F14A7M9 217-218       F14A8 219-223 (2)
         F14A8M1 224-225         F14A8M2 226-227         F14A8M3 228-229
         F14A8M4 230-231         F14A8M6 232-233         F14A8M7 234-235
         F14A8M8 236-237         F14A8M9 238-239       F14A9 240-244 (2)
         F14A9M1 245-246         F14A9M2 247-248         F14A9M3 249-250
         F14A9M4 251-252         F14A9M6 253-254         F14A9M7 255-256
         F14A9M8 257-258         F14A9M9 259-260      F14A10 261-265 (2)
        F14A10M1 266-267        F14A10M2 268-269        F14A10M3 270-271
        F14A10M7 272-273        F14A10M8 274-275        F14A10M9 276-277
      F14A11 278-282 (2)        F14A11M1 283-284        F14A11M2 285-286
        F14A11M3 287-288        F14A11M7 289-290        F14A11M8 291-292
        F14A11M9 293-294      F14A12 295-299 (2)        F14A12M1 300-301
        F14A12M2 302-303        F14A12M3 304-305        F14A12M5 306-307
        F14A12M7 308-309        F14A12M8 310-311        F14A12M9 312-313
           F15A1 314-315           F15A2 316-317           F15A3 318-319
           F15A4 320-321           F15A6 322-323           F15A7 324-325
           F15A8 326-327           F15A9 328-329          F15A10 330-331
          F15A11 332-333          F15A12 334-335          F15A13 336-337
          F15A14 338-339          F15A15 340-341          F15A16 342-343
          F15A17 344-345          F15A18 346-347          F15A19 348-349
          F15A20 350-351          F15A21 352-353          F15A22 354-355
          F15A23 356-357          F15A24 358-359           F16M1 360-361
           F16M2 362-363           F16M3 364-365           F16M4 366-367
           F16M5 368-369           F16M6 370-371           F16M7 372-373
           F16M8 374-375           F16M9 376-377          F16M11 378-379
          F16M12 380-381             F17 382-383       F17A1 384-388 (2)
         F17A1A4 389-390         F17A1A5 391-392       F17A2 393-397 (2)
         F17A2A4 398-399         F17A2A5 400-401       F17A3 402-406 (2)
         F17A3A4 407-408         F17A3A5 409-410       F17A4 411-415 (2)
         F17A4A4 416-417         F17A4A5 418-419       F17A5 420-424 (2)
         F17A5A4 425-426         F17A5A5 427-428       F17A6 429-433 (2)
         F17A6A4 434-435         F17A6A5 436-437       F17A7 438-442 (2)
         F17A7A4 443-444         F17A7A5 445-446       F17A8 447-451 (2)
         F17A8A4 452-453         F17A8A5 454-455       F17A9 456-460 (2)
         F17A9A4 461-462         F17A9A5 463-464      F17A10 465-469 (2)
        F17A10A4 470-471        F17A10A5 472-473      F17A11 474-478 (2)
        F17A11A4 479-480        F17A11A5 481-482      F17A12 483-487 (2)
        F17A12A4 488-489        F17A12A5 490-491      F17A13 492-496 (2)
        F17A13A4 497-498        F17A13A5 499-500      F17A14 501-505 (2)
        F17A14A4 506-507        F17A14A5 508-509            F17B 510-511
             F18 512-513             F19 514-515             F20 516-517
           F20A1 518-519           F20A2 520-521           F20A3 522-523
            F20B 524-525            PRAFMODE 526
   .

* SPSS VARIABLE LABELS COMMAND.

VARIABLE LABELS
   CASEID    'PATIENT ID' /
   PRGMTYPE  'PROGRAM TYPE' /
   TRT2      'REVISED TREATMENT MODALITY' /
   PRG2      'REVISED PROGRAM TYPE' /
   CELL      'ANALYSIS VARIABLE' /
   CELL2     'ANALYSIS VARIABLE V.2' /
   F3_1      'NTIES LAST TX MONTH' /
   F3_2      'NTIES LAST TX DAY' /
   F3_3      'NTIES LAST TX YEAR' /
   F4        '1RY SRCE OF PYMT FOR NTIES TX EPISODE?' /
   F7        'TOTAL $-CHARGE FOR NTIES TX' /
   F7A_1     'PATIENT $-AMOUNT' /
   F7A_2     'INSURANCE $-AMOUNT' /
   F7A_3     'GOVERNMENT $-AMOUNT' /
   F8        'PATN ON PAROLE/PROBATION AT ADMIT?' /
   F9        'PATN WENT ON PROBATION/PAROLE DURING TX' /
   F10A      'DSM-III CODE' /
   F10B      'OTHER CODE' /
   F11       'MORE THAN 1 DIAGNOSIS AT NTIES ADMIT' /
   F11B      'DSM-III CODE' /
   F11C      'OTHER CODE' /
   F12       'HIV/AIDS STATUS IN RECORD?' /
   F12C      'AIDS TESTING DONE BY SDU?' /
   F13M1     'INHALANTS' /
   F13M2     'MARIJUANA' /
   F13M3     'CRACK' /
   F13M4     'COCAINE POWDER' /
   F13M5     'PCP OR ANGEL DUST' /
   F13M6     'HALLUCINOGENS OR PSYCHEDELICS' /
   F13M7     'UPPERS' /
   F13M8     'DOWNERS' /
   F13M9     'HEROIN' /
   F13M10    'ILLEGAL METHADONE' /
   F13M11    'OTHER NARCOTICS' /
   F13M12    'ALCOHOL' /
   F13M13    'OTHER' /
   F14       'URINE TESTING DONE DURING NTIES TX?.' /
   F14A1     '1ST URINE TEST DATE' /
   F14A1M1   'COCAINE/BENZOYLEGCONINE POSITIVE' /
   F14A1M2   'OPIATE/MORPHINE/CODEINE POSITIVE' /
   F14A1M3   'METHADONE POSITIVE' /
   F14A1M4   'BARBITURATE POSITIVE' /
   F14A1M5   'METHAMPHETAMINE/AMPHETAMINE POSITIVE' /
   F14A1M6   'MARIJUANA/HASHISH/THC POSITIVE' /
   F14A1M7   'PCP POSITIVE' /
   F14A1M8   'ANY OTHER POSITIVE' /
   F14A1M9   'NO POSITIVE DRUG RESULT' /
   F14A2     '2ND URINE TEST DATE' /
   F14A2M1   'COCAINE/BENZOYLEGCONINE POSITIVE' /
   F14A2M2   'OPIATE/MORPHINE/CODEINE POSITIVE' /
   F14A2M3   'METHADONE POSITIVE' /
   F14A2M4   'BARBITURATE POSITIVE' /
   F14A2M6   'MARIJUANA/HASHISH/THC POSITIVE' /
   F14A2M8   'ANY OTHER POSITIVE' /
   F14A2M9   'NO POSITIVE DRUG RESULT' /
   F14A3     '3RD URINE TEST DATE' /
   F14A3M1   'COCAINE/BENZOYLEGCONINE POSITIVE' /
   F14A3M2   'OPIATE/MORPHINE/CODEINE POSITIVE' /
   F14A3M3   'METHADONE POSITIVE' /
   F14A3M4   'BARBITURATE POSITIVE' /
   F14A3M6   'MARIJUANA/HASHISH/THC POSITIVE' /
   F14A3M8   'ANY OTHER POSITIVE' /
   F14A3M9   'NO POSITIVE DRUG RESULT' /
   F14A4     '4TH URINE TEST DATE' /
   F14A4M1   'COCAINE/BENZOYLEGCONINE POSITIVE' /
   F14A4M2   'OPIATE/MORPHINE/CODEINE POSITIVE' /
   F14A4M3   'METHADONE POSITIVE' /
   F14A4M4   'BARBITURATE POSITIVE' /
   F14A4M5   'METHAMPHETAMINE/AMPHETAMINE POSITIVE' /
   F14A4M6   'MARIJUANA/HASHISH/THC POSITIVE' /
   F14A4M7   'PCP POSITIVE' /
   F14A4M8   'ANY OTHER POSITIVE' /
   F14A4M9   'NO POSITIVE DRUG RESULT' /
   F14A5     '5TH URINE TEST DATE' /
   F14A5M1   'COCAINE/BENZOYLEGCONINE POSITIVE' /
   F14A5M2   'OPIATE/MORPHINE/CODEINE POSITIVE' /
   F14A5M3   'METHADONE POSITIVE' /
   F14A5M4   'BARBITURATE POSITIVE' /
   F14A5M6   'MARIJUANA/HASHISH/THC POSITIVE' /
   F14A5M8   'ANY OTHER POSITIVE' /
   F14A5M9   'NO POSITIVE DRUG RESULT' /
   F14A6     '6TH URINE TEST DATE' /
   F14A6M1   'COCAINE/BENZOYLEGCONINE POSITIVE' /
   F14A6M2   'OPIATE/MORPHINE/CODEINE POSITIVE' /
   F14A6M3   'METHADONE POSITIVE' /
   F14A6M4   'BARBITURATE POSITIVE' /
   F14A6M6   'MARIJUANA/HASHISH/THC POSITIVE' /
   F14A6M8   'ANY OTHER POSITIVE' /
   F14A6M9   'NO POSITIVE DRUG RESULT' /
   F14A7     '7TH URINE TEST DATE' /
   F14A7M1   'COCAINE/BENZOYLEGCONINE POSITIVE' /
   F14A7M2   'OPIATE/MORPHINE/CODEINE POSITIVE' /
   F14A7M3   'METHADONE POSITIVE' /
   F14A7M4   'BARBITURATE POSITIVE' /
   F14A7M5   'METHAMPHETAMINE/AMPHETAMINE POSITIVE' /
   F14A7M6   'MARIJUANA/HASHISH/THC POSITIVE' /
   F14A7M8   'ANY OTHER POSITIVE' /
   F14A7M9   'NO POSITIVE DRUG RESULT' /
   F14A8     '8TH URINE TEST DATE' /
   F14A8M1   'COCAINE/BENZOYLEGCONINE POSITIVE' /
   F14A8M2   'OPIATE/MORPHINE/CODEINE POSITIVE' /
   F14A8M3   'METHADONE POSITIVE' /
   F14A8M4   'BARBITURATE POSITIVE' /
   F14A8M6   'MARIJUANA/HASHISH/THC POSITIVE' /
   F14A8M7   'PCP POSITIVE' /
   F14A8M8   'ANY OTHER POSITIVE' /
   F14A8M9   'NO POSITIVE DRUG RESULT' /
   F14A9     '9TH URINE TEST DATE' /
   F14A9M1   'COCAINE/BENZOYLEGCONINE POSITIVE' /
   F14A9M2   'OPIATE/MORPHINE/CODEINE POSITIVE' /
   F14A9M3   'METHADONE POSITIVE' /
   F14A9M4   'BARBITURATE POSITIVE' /
   F14A9M6   'MARIJUANA/HASHISH/THC POSITIVE' /
   F14A9M7   'PCP POSITIVE' /
   F14A9M8   'ANY OTHER POSITIVE' /
   F14A9M9   'NO POSITIVE DRUG RESULT' /
   F14A10    '10TH URINE TEST DATE' /
   F14A10M1  'COCAINE/BENZOYLEGCONINE POSITIVE' /
   F14A10M2  'OPIATE/MORPHINE/CODEINE POSITIVE' /
   F14A10M3  'METHADONE POSITIVE' /
   F14A10M7  'PCP POSITIVE' /
   F14A10M8  'ANY OTHER POSITIVE' /
   F14A10M9  'NO POSITIVE DRUG RESULT' /
   F14A11    '11TH URINE TEST DATE' /
   F14A11M1  'COCAINE/BENZOYLEGCONINE POSITIVE' /
   F14A11M2  'OPIATE/MORPHINE/CODEINE POSITIVE' /
   F14A11M3  'METHADONE POSITIVE' /
   F14A11M7  'PCP POSITIVE' /
   F14A11M8  'ANY OTHER POSITIVE' /
   F14A11M9  'NO POSITIVE DRUG RESULT' /
   F14A12    '12TH URINE TEST DATE' /
   F14A12M1  'COCAINE/BENZOYLEGCONINE POSITIVE' /
   F14A12M2  'OPIATE/MORPHINE/CODEINE POSITIVE' /
   F14A12M3  'METHADONE POSITIVE' /
   F14A12M5  'METHAMPHETAMINE/AMPHETAMINE POSITIVE' /
   F14A12M7  'PCP POSITIVE' /
   F14A12M8  'ANY OTHER POSITIVE' /
   F14A12M9  'NO POSITIVE DRUG RESULT' /
   F15A1     '#-RCVD: INTAKE EXAM BY PHYSICIAN/NURSE.' /
   F15A2     '#-RCVD: OTHER PHYSICIAN SERVICES.' /
   F15A3     '#-RCVD: PSYCHIATRIST/PSYCHOLOGIST V.' /
   F15A4     '#-RCVD: NURSE/NURSE PRACTITIONER SERVICE' /
   F15A6     '#-RCVD: INDIVIDUAL COUNSELING.' /
   F15A7     '#-RCVD: GROUP COUNSELING.' /
   F15A8     '#-RCVD: FAMILY COUNSELING.' /
   F15A9     '#-RCVD: EMPLOYMENT COUNSELING .' /
   F15A10    '#-RCVD: JOB TRAINING.' /
   F15A11    '#-RCVD: ACADEMIC TRAINING.' /
   F15A12    '#-RCVD: SELF HELP GROUPS.' /
   F15A13    '#-RCVD: PRACTICAL SKILLS TRAINING.' /
   F15A14    '#-RCVD: INTERPERSONAL SKILLS TRAINING .' /
   F15A15    '#-RCVD: PARENTING SKILLS TRAINING.' /
   F15A16    '#-RCVD: AIDS EDUCATION.' /
   F15A17    '#-RCVD: ASSISTANCE GETTING BENEFITS.' /
   F15A18    '#-RCVD: LEGAL SERVICES.' /
   F15A19    '#-RCVD: TRANSPORTATION SERVICES.' /
   F15A20    '#-RCVD: PREGNANCY RELATED SERVICES.' /
   F15A21    '#-RCVD: DAY CARE FOR CHILDREN.' /
   F15A22    '#-RCVD: HOUSING ASSISTANCE.' /
   F15A23    '#-RCVD: ROOM AND BOARD.' /
   F15A24    '#-RCVD: POST DISCHARGE PLANNING.' /
   F16M1     'ANALGESICS' /
   F16M2     'ANTABUSE' /
   F16M3     'ANTACIDS' /
   F16M4     'ANTIANXIETY MEDICATIONS' /
   F16M5     'ANTICONVULSANTS' /
   F16M6     'ANTIDEPRESSANTS' /
   F16M7     'ANTIMANICS' /
   F16M8     'METHADONE' /
   F16M9     'MULTIVITAMINS' /
   F16M11    'SEDATIVES' /
   F16M12    'OTHER' /
   F17       'METHADONE GIVEN DURING EPISODE?' /
   F17A1     'METHADONE TX DATE-TX1' /
   F17A1A4   'METHADONE DOSE (MG)' /
   F17A1A5   'METHADONE TAKEN HOME?' /
   F17A2     'METHADONE TX DATE-TX2' /
   F17A2A4   'METHADONE DOSE (MG)' /
   F17A2A5   'METHADONE TAKEN HOME?' /
   F17A3     'METHADONE TX DATE-TX3' /
   F17A3A4   'METHADONE DOSE (MG)' /
   F17A3A5   'METHADONE TAKEN HOME?' /
   F17A4     'METHADONE TX DATE-TX4' /
   F17A4A4   'METHADONE DOSE (MG)' /
   F17A4A5   'METHADONE TAKEN HOME?' /
   F17A5     'METHADONE TX DATE-TX5' /
   F17A5A4   'METHADONE DOSE (MG)' /
   F17A5A5   'METHADONE TAKEN HOME?' /
   F17A6     'METHADONE TX DATE-TX6' /
   F17A6A4   'METHADONE DOSE (MG)' /
   F17A6A5   'METHADONE TAKEN HOME?' /
   F17A7     'METHADONE TX DATE-TX7' /
   F17A7A4   'METHADONE DOSE (MG)' /
   F17A7A5   'METHADONE TAKEN HOME?' /
   F17A8     'METHADONE TX DATE-TX8' /
   F17A8A4   'METHADONE DOSE (MG)' /
   F17A8A5   'METHADONE TAKEN HOME?' /
   F17A9     'METHADONE TX DATE-TX9' /
   F17A9A4   'METHADONE DOSE (MG)' /
   F17A9A5   'METHADONE TAKEN HOME?' /
   F17A10    'METHADONE TX DATE-TX10' /
   F17A10A4  'METHADONE DOSE (MG)' /
   F17A10A5  'METHADONE TAKEN HOME?' /
   F17A11    'METHADONE TX DATE-TX11' /
   F17A11A4  'METHADONE DOSE (MG)' /
   F17A11A5  'METHADONE TAKEN HOME?' /
   F17A12    'METHADONE TX DATE-TX12' /
   F17A12A4  'METHADONE DOSE (MG)' /
   F17A12A5  'METHADONE TAKEN HOME?' /
   F17A13    'METHADONE TX DATE-TX13' /
   F17A13A4  'METHADONE DOSE (MG)' /
   F17A13A5  'METHADONE TAKEN HOME?' /
   F17A14    'METHADONE TX DATE-TX14' /
   F17A14A4  'METHADONE DOSE (MG)' /
   F17A14A5  'METHADONE TAKEN HOME?' /
   F17B      'METHADONE TAKEN HOME?' /
   F18       'R''S TX EPISODE ENDED?' /
   F19       'PRIOR (NOT INMED) TX/DETOX EPISODES' /
   F20       'IMMED PRIOR TX EPISODES' /
   F20A1     'DETOXIFICATION' /
   F20A2     'ORIENTATION' /
   F20A3     'TREATMENT?' /
   F20B      'SITE OF IMMEDIATELY PRECEDING EPISODE' /
   PRAFMODE  'QUEX MODE' /
   .


* SPSS VALUE LABELS COMMAND.

VALUE LABELS
   PRGMTYPE  1 'CRITICAL POPULATIONS' 2 'CORRECTIONAL SETTINGS' 3 'OFFENDERS'
             4 'TARGET CITIES' 5 'JUSTICE' 6 'PUBLIC HOUSING' /
   TRT2      1 'SHORT-TERM RESIDENTIAL/IN-PATIENT'
             2 'LONG-TERM RESIDENTIAL/IN-PATIENT' 3 'OUT-PATIENT METHADONE'
             4 'AMBULATORY OUT-PATIENT' /
   PRG2      1 'AJJ/PH' 2 'CRIMINAL JUSTICE' 3 'TARGET CITIES' /
   CELL      1 'CP/SR' 2 'CP/LR' 3 'CP/OP' 4 'TC/SR' 5 'TC/LR' 6 'TC/OP'
             7 'CJ/SR' 8 'CJ/LR' 9 'CJ/OP' 10 'METHADONE' /
   CELL2     1 'METHADONE' 2 'NON-METHADONE OUT-PATIENT'
             3 'SHORT-TERM RESIDENTIAL' 4 'LONG-TERM RESIDENTIAL'
             5 'CORRECTIONAL SETTINGS' /
   F3_1      -4 'MULTIPLE RESPONSES' -3 'MISSING' -2 'NOT AVAILABLE' /
   F3_2      -10 'PRIOR TO TREATMENT' -8 'PREADMISSION' -7 'NO DATA'
             -5 'NOT APPLICABLE' -4 'MULTIPLE RESPONSES' -3 'MISSING'
             -2 'NOT AVAILABLE' -1 'REFUSED' /
   F3_3      -4 'MULTIPLE RESPONSES' -3 'MISSING' -2 'NOT AVAILABLE' /
   F4        -4 'MULTIPLE RESPONSES' -3 'MISSING' -2 'NOT AVAILABLE'
             1 'PRIV HLTH INSURANCE/PRIV HLTH PLAN/HMO' 2 'SELF-PAY/RS MONEY'
             3 'MEDICAID/CHAMPUS/CHAMPVA' 4 'OTHER INSURANCE (SPECIFY)'
             5 'OTHER GOVERNMENT SOURCE' 6 'ANOTHER SOURCE (SPECIFY)' /
   F7        -3 'MISSING' -2 'NOT AVAILABLE' -1 'REFUSED' 0 'NONE'
             1 'LESS THAN 500' 2 '500-1000' 3 '1001-5000' 4 'MORE THAN 5000'
             /
   F7A_1     -9 'LEGITIMATE SKIP' -3 'MISSING' -2 'NOT AVAILABLE' 0 'NONE'
             1 '50 OR LESS' 2 '51-500' 3 'MORE THAN 500'
             4 'TOTAL CODED IN F7' /
   F7A_2     -9 'LEGITIMATE SKIP' -3 'MISSING' -2 'NOT AVAILABLE' 0 'NONE'
             1 '50 OR LESS' 2 '51-500' 3 'MORE THAN 500'
             4 'TOTAL CODED IN F7' /
   F7A_3     -9 'LEGITIMATE SKIP' -3 'MISSING' -2 'NOT AVAILABLE' 0 'NONE'
             1 'LESS THAN 500' 2 '500-2000' 3 'MORE THAN 2000'
             4 'TOTAL CODED IN F7' /
   F8        -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES' 2 'NO' /
   F9        -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' /
   F10A      -3 'MISSING' -2 'NOT AVAILABLE'
             1 'OPIATE DEPENDENCE (304.00-09/.70-79)'
             2 'ALCOHOL ABUSE (305.00-09)' 3 'ALCOHOL DEPENDENCE (303.90-99)'
             4 'COCAINE ABUSE (305.60-69)' 5 'COCAINE DEPENDENCE (304.20-29)'
             6 'MARIJUANA ABUSE (305.20-29)'
             7 'MARIJUANA DEPENDENCE (304.30-39)'
             8 'OTHER DRUG ABUSE (OTHER 305.XX)'
             9 'OTHER DRUG DEPENDENCE(OTHER 304.XX)'
             10 'PSYCHIATRIC/NON-DRUG (294-302.99,306-320'
             11 'ORGANIC (1-293.99, 320-999)' 12 'UNRECOGNIZED CODE (>999)' /
   F10B      -3 'MISSING' -2 'NOT AVAILABLE'
             1 'OPIATE DEPENDENCE (304.00-09/.70-79)'
             2 'ALCOHOL ABUSE (305.00-09)' 3 'ALCOHOL DEPENDENCE (303.90-99)'
             4 'COCAINE ABUSE (305.60-69)' 5 'COCAINE DEPENDENCE (304.20-29)'
             6 'MARIJUANA ABUSE (305.20-29)'
             7 'MARIJUANA DEPENDENCE (304.30-39)'
             8 'OTHER DRUG ABUSE (OTHER 305.XX)'
             9 'OTHER DRUG DEPENDENCE(OTHER 304.XX)'
             10 'PSYCHIATRIC/NON-DRUG (294-302.99,306-320'
             11 'ORGANIC (1-293.99, 320-999)' 12 'UNRECOGNIZED CODE (>999)' /
   F11       -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' /
   F11B      -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE'
             1 'OPIATE DEPENDENCE (304.00-09/.70-79)'
             2 'ALCOHOL ABUSE (305.00-09)' 3 'ALCOHOL DEPENDENCE (303.90-99)'
             4 'COCAINE ABUSE (305.60-69)' 5 'COCAINE DEPENDENCE (304.20-29)'
             6 'MARIJUANA ABUSE (305.20-29)'
             7 'MARIJUANA DEPENDENCE (304.30-39)'
             8 'OTHER DRUG ABUSE (OTHER 305.XX)'
             9 'OTHER DRUG DEPENDENCE(OTHER 304.XX)'
             10 'PSYCHIATRIC/NON-DRUG (294-302.99,306-320'
             11 'ORGANIC (1-293.99, 320-999)' 12 'UNRECOGNIZED CODE (>999)' /
   F11C      -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE'
             1 'OPIATE DEPENDENCE (304.00-09/.70-79)'
             2 'ALCOHOL ABUSE (305.00-09)' 3 'ALCOHOL DEPENDENCE (303.90-99)'
             4 'COCAINE ABUSE (305.60-69)' 5 'COCAINE DEPENDENCE (304.20-29)'
             6 'MARIJUANA ABUSE (305.20-29)'
             7 'MARIJUANA DEPENDENCE (304.30-39)'
             8 'OTHER DRUG ABUSE (OTHER 305.XX)'
             9 'OTHER DRUG DEPENDENCE(OTHER 304.XX)'
             10 'PSYCHIATRIC/NON-DRUG (294-302.99,306-320'
             11 'ORGANIC (1-293.99, 320-999)' 12 'UNRECOGNIZED CODE (>999)' /
   F12       -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' /
   F12C      -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' /
   F13M1     -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' /
   F13M2     -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' /
   F13M3     -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' /
   F13M4     -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' /
   F13M5     -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' /
   F13M6     -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' /
   F13M7     -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' /
   F13M8     -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' /
   F13M9     -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' /
   F13M10    -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' /
   F13M11    -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' /
   F13M12    -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' /
   F13M13    -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' /
   F14       -7 'NO DATA' 1 'YES' /
   F14A1     -10 'PRIOR TO TREATMENT' -8 'PREADMISSION' -7 'NO DATA'
             -5 'NOT APPLICABLE' -4 'MULTIPLE RESPONSES' -3 'MISSING'
             -2 'NOT AVAILABLE' -1 'REFUSED' /
   F14A1M1   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A1M2   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A1M3   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A1M4   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A1M5   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A1M6   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A1M7   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A1M8   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A1M9   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A2     -10 'PRIOR TO TREATMENT' -8 'PREADMISSION' -7 'NO DATA'
             -5 'NOT APPLICABLE' -4 'MULTIPLE RESPONSES' -3 'MISSING'
             -2 'NOT AVAILABLE' -1 'REFUSED' /
   F14A2M1   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A2M2   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A2M3   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A2M4   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A2M6   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A2M8   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A2M9   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A3     -10 'PRIOR TO TREATMENT' -8 'PREADMISSION' -7 'NO DATA'
             -5 'NOT APPLICABLE' -4 'MULTIPLE RESPONSES' -3 'MISSING'
             -2 'NOT AVAILABLE' -1 'REFUSED' /
   F14A3M1   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A3M2   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A3M3   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A3M4   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A3M6   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A3M8   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A3M9   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A4     -10 'PRIOR TO TREATMENT' -8 'PREADMISSION' -7 'NO DATA'
             -5 'NOT APPLICABLE' -4 'MULTIPLE RESPONSES' -3 'MISSING'
             -2 'NOT AVAILABLE' -1 'REFUSED' /
   F14A4M1   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A4M2   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A4M3   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A4M4   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A4M5   -7 'NO DATA' 2 'NO' /
   F14A4M6   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A4M7   -7 'NO DATA' 2 'NO' /
   F14A4M8   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A4M9   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A5     -10 'PRIOR TO TREATMENT' -8 'PREADMISSION' -7 'NO DATA'
             -5 'NOT APPLICABLE' -4 'MULTIPLE RESPONSES' -3 'MISSING'
             -2 'NOT AVAILABLE' -1 'REFUSED' /
   F14A5M1   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A5M2   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A5M3   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A5M4   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A5M6   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A5M8   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A5M9   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A6     -10 'PRIOR TO TREATMENT' -8 'PREADMISSION' -7 'NO DATA'
             -5 'NOT APPLICABLE' -4 'MULTIPLE RESPONSES' -3 'MISSING'
             -2 'NOT AVAILABLE' -1 'REFUSED' /
   F14A6M1   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A6M2   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A6M3   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A6M4   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A6M6   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A6M8   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A6M9   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A7     -10 'PRIOR TO TREATMENT' -8 'PREADMISSION' -7 'NO DATA'
             -5 'NOT APPLICABLE' -4 'MULTIPLE RESPONSES' -3 'MISSING'
             -2 'NOT AVAILABLE' -1 'REFUSED' /
   F14A7M1   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A7M2   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A7M3   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A7M4   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A7M5   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A7M6   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A7M8   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A7M9   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A8     -10 'PRIOR TO TREATMENT' -8 'PREADMISSION' -7 'NO DATA'
             -5 'NOT APPLICABLE' -4 'MULTIPLE RESPONSES' -3 'MISSING'
             -2 'NOT AVAILABLE' -1 'REFUSED' /
   F14A8M1   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A8M2   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A8M3   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A8M4   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A8M6   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A8M7   -7 'NO DATA' 2 'NO' /
   F14A8M8   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A8M9   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A9     -10 'PRIOR TO TREATMENT' -8 'PREADMISSION' -7 'NO DATA'
             -5 'NOT APPLICABLE' -4 'MULTIPLE RESPONSES' -3 'MISSING'
             -2 'NOT AVAILABLE' -1 'REFUSED' /
   F14A9M1   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A9M2   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A9M3   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A9M4   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A9M6   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A9M7   -7 'NO DATA' 2 'NO' /
   F14A9M8   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A9M9   -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A10    -10 'PRIOR TO TREATMENT' -8 'PREADMISSION' -7 'NO DATA'
             -5 'NOT APPLICABLE' -4 'MULTIPLE RESPONSES' -3 'MISSING'
             -2 'NOT AVAILABLE' -1 'REFUSED' /
   F14A10M1  -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A10M2  -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A10M3  -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A10M7  -7 'NO DATA' 2 'NO' /
   F14A10M8  -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A10M9  -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A11    -10 'PRIOR TO TREATMENT' -8 'PREADMISSION' -7 'NO DATA'
             -5 'NOT APPLICABLE' -4 'MULTIPLE RESPONSES' -3 'MISSING'
             -2 'NOT AVAILABLE' -1 'REFUSED' /
   F14A11M1  -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A11M2  -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A11M3  -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A11M7  -7 'NO DATA' 2 'NO' /
   F14A11M8  -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A11M9  -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A12    -10 'PRIOR TO TREATMENT' -8 'PREADMISSION' -7 'NO DATA'
             -5 'NOT APPLICABLE' -4 'MULTIPLE RESPONSES' -3 'MISSING'
             -2 'NOT AVAILABLE' -1 'REFUSED' /
   F14A12M1  -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A12M2  -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A12M3  -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A12M5  -7 'NO DATA' 2 'NO' /
   F14A12M7  -7 'NO DATA' 2 'NO' /
   F14A12M8  -7 'NO DATA' 1 'YES' 2 'NO' /
   F14A12M9  -7 'NO DATA' 1 'YES' 2 'NO' /
   F15A1     -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'ONE TIME'
             2 '2-3 TIMES' 3 '4-10 TIMES' 4 '11 OR MORE TIMES'
             7 'NUMBER UNCERTAIN' /
   F15A2     -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'ONE TIME'
             2 '2-3 TIMES' 3 '4-10 TIMES' 4 '11 OR MORE TIMES'
             7 'NUMBER UNCERTAIN' /
   F15A3     -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'ONE TIME'
             2 '2-3 TIMES' 3 '4-10 TIMES' 4 '11 OR MORE TIMES'
             7 'NUMBER UNCERTAIN' /
   F15A4     -3 'MISSING' -2 'NOT AVAILABLE' 1 'ONE TIME' 2 '2-3 TIMES'
             3 '4-10 TIMES' 4 '11 OR MORE TIMES' 7 'NUMBER UNCERTAIN' /
   F15A6     -3 'MISSING' -2 'NOT AVAILABLE' 1 'ONE TIME' 2 '2-3 TIMES'
             3 '4-10 TIMES' 4 '11 OR MORE TIMES' 7 'NUMBER UNCERTAIN' /
   F15A7     -3 'MISSING' -2 'NOT AVAILABLE' 1 'ONE TIME' 2 '2-3 TIMES'
             3 '4-10 TIMES' 4 '11 OR MORE TIMES' 7 'NUMBER UNCERTAIN' /
   F15A8     -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'ONE TIME'
             2 '2-3 TIMES' 3 '4-10 TIMES' 4 '11 OR MORE TIMES'
             7 'NUMBER UNCERTAIN' /
   F15A9     -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'ONE TIME'
             2 '2-3 TIMES' 3 '4-10 TIMES' 4 '11 OR MORE TIMES'
             7 'NUMBER UNCERTAIN' /
   F15A10    -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'ONE TIME'
             2 '2-3 TIMES' 3 '4-10 TIMES' 4 '11 OR MORE TIMES'
             7 'NUMBER UNCERTAIN' /
   F15A11    -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'ONE TIME'
             2 '2-3 TIMES' 3 '4-10 TIMES' 4 '11 OR MORE TIMES'
             7 'NUMBER UNCERTAIN' /
   F15A12    -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'ONE TIME'
             2 '2-3 TIMES' 3 '4-10 TIMES' 4 '11 OR MORE TIMES'
             7 'NUMBER UNCERTAIN' /
   F15A13    -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' -1 'REFUSED'
             1 'ONE TIME' 2 '2-3 TIMES' 3 '4-10 TIMES' 4 '11 OR MORE TIMES'
             7 'NUMBER UNCERTAIN' /
   F15A14    -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' -1 'REFUSED'
             1 'ONE TIME' 2 '2-3 TIMES' 3 '4-10 TIMES' 4 '11 OR MORE TIMES'
             7 'NUMBER UNCERTAIN' /
   F15A15    -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' -1 'REFUSED'
             1 'ONE TIME' 2 '2-3 TIMES' 3 '4-10 TIMES' 4 '11 OR MORE TIMES'
             7 'NUMBER UNCERTAIN' /
   F15A16    -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' -1 'REFUSED'
             1 'ONE TIME' 2 '2-3 TIMES' 3 '4-10 TIMES' 4 '11 OR MORE TIMES'
             7 'NUMBER UNCERTAIN' /
   F15A17    -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' -1 'REFUSED'
             1 'ONE TIME' 2 '2-3 TIMES' 3 '4-10 TIMES' 4 '11 OR MORE TIMES'
             7 'NUMBER UNCERTAIN' /
   F15A18    -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'ONE TIME'
             2 '2-3 TIMES' 7 'NUMBER UNCERTAIN' /
   F15A19    -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'ONE TIME'
             2 '2-3 TIMES' 3 '4-10 TIMES' 4 '11 OR MORE TIMES'
             7 'NUMBER UNCERTAIN' /
   F15A20    -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE'
             7 'SERVICE RECEIVED' /
   F15A21    -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE'
             7 'SERVICE RECEIVED' /
   F15A22    -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'ONE TIME'
             3 '4-10 TIMES' 7 'NUMBER UNCERTAIN' /
   F15A23    -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'ONE TIME'
             2 '2-3 TIMES' 3 '4-10 TIMES' 4 '11 OR MORE TIMES'
             7 'NUMBER UNCERTAIN' /
   F15A24    -4 'MULTIPLE RESPONSES' -3 'MISSING' -2 'NOT AVAILABLE'
             1 'ONE TIME' 2 '2-3 TIMES' 3 '4-10 TIMES' 4 '11 OR MORE TIMES'
             7 'NUMBER UNCERTAIN' /
   F16M1     -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' 3 'NO RX IN RECORD' /
   F16M2     -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' 3 'NO RX IN RECORD' /
   F16M3     -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' 3 'NO RX IN RECORD' /
   F16M4     -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' 3 'NO RX IN RECORD' /
   F16M5     -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' 3 'NO RX IN RECORD' /
   F16M6     -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' 3 'NO RX IN RECORD' /
   F16M7     -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' 3 'NO RX IN RECORD' /
   F16M8     -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' 3 'NO RX IN RECORD' /
   F16M9     -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' 3 'NO RX IN RECORD' /
   F16M11    -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' 3 'NO RX IN RECORD' /
   F16M12    -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' 3 'NO RX IN RECORD' /
   F17       -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES' 2 'NO' /
   F17A1     -10 'PRIOR TO TREATMENT' -8 'PREADMISSION' -7 'NO DATA'
             -5 'NOT APPLICABLE' -4 'MULTIPLE RESPONSES' -3 'MISSING'
             -2 'NOT AVAILABLE' -1 'REFUSED' /
   F17A1A4   -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE'
             1 '30 OR LESS' 2 '31-40' 3 '41-50' 4 'MORE THAN 50' /
   F17A1A5   -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' /
   F17A2     -10 'PRIOR TO TREATMENT' -8 'PREADMISSION' -7 'NO DATA'
             -5 'NOT APPLICABLE' -4 'MULTIPLE RESPONSES' -3 'MISSING'
             -2 'NOT AVAILABLE' -1 'REFUSED' /
   F17A2A4   -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE'
             1 '30 OR LESS' 2 '31-40' 3 '41-50' 4 'MORE THAN 50' /
   F17A2A5   -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' /
   F17A3     -10 'PRIOR TO TREATMENT' -8 'PREADMISSION' -7 'NO DATA'
             -5 'NOT APPLICABLE' -4 'MULTIPLE RESPONSES' -3 'MISSING'
             -2 'NOT AVAILABLE' -1 'REFUSED' /
   F17A3A4   -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE'
             1 '30 OR LESS' 2 '31-40' 3 '41-50' 4 'MORE THAN 50' /
   F17A3A5   -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' /
   F17A4     -10 'PRIOR TO TREATMENT' -8 'PREADMISSION' -7 'NO DATA'
             -5 'NOT APPLICABLE' -4 'MULTIPLE RESPONSES' -3 'MISSING'
             -2 'NOT AVAILABLE' -1 'REFUSED' /
   F17A4A4   -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE'
             1 '30 OR LESS' 2 '31-40' 3 '41-50' 4 'MORE THAN 50' /
   F17A4A5   -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' /
   F17A5     -10 'PRIOR TO TREATMENT' -8 'PREADMISSION' -7 'NO DATA'
             -5 'NOT APPLICABLE' -4 'MULTIPLE RESPONSES' -3 'MISSING'
             -2 'NOT AVAILABLE' -1 'REFUSED' /
   F17A5A4   -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE'
             1 '30 OR LESS' 2 '31-40' 3 '41-50' 4 'MORE THAN 50' /
   F17A5A5   -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' /
   F17A6     -10 'PRIOR TO TREATMENT' -8 'PREADMISSION' -7 'NO DATA'
             -5 'NOT APPLICABLE' -4 'MULTIPLE RESPONSES' -3 'MISSING'
             -2 'NOT AVAILABLE' -1 'REFUSED' /
   F17A6A4   -5 'NOT APPLICABLE' -3 'MISSING' 1 '30 OR LESS' 2 '31-40'
             3 '41-50' 4 'MORE THAN 50' /
   F17A6A5   -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' /
   F17A7     -10 'PRIOR TO TREATMENT' -8 'PREADMISSION' -7 'NO DATA'
             -5 'NOT APPLICABLE' -4 'MULTIPLE RESPONSES' -3 'MISSING'
             -2 'NOT AVAILABLE' -1 'REFUSED' /
   F17A7A4   -5 'NOT APPLICABLE' -3 'MISSING' 1 '30 OR LESS' 2 '31-40'
             3 '41-50' 4 'MORE THAN 50' /
   F17A7A5   -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' -1 'REFUSED'
             1 'YES' 2 'NO' /
   F17A8     -10 'PRIOR TO TREATMENT' -8 'PREADMISSION' -7 'NO DATA'
             -5 'NOT APPLICABLE' -4 'MULTIPLE RESPONSES' -3 'MISSING'
             -2 'NOT AVAILABLE' -1 'REFUSED' /
   F17A8A4   -5 'NOT APPLICABLE' -3 'MISSING' 1 '30 OR LESS' 2 '31-40'
             3 '41-50' 4 'MORE THAN 50' /
   F17A8A5   -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' -1 'REFUSED'
             1 'YES' 2 'NO' /
   F17A9     -10 'PRIOR TO TREATMENT' -8 'PREADMISSION' -7 'NO DATA'
             -5 'NOT APPLICABLE' -4 'MULTIPLE RESPONSES' -3 'MISSING'
             -2 'NOT AVAILABLE' -1 'REFUSED' /
   F17A9A4   -5 'NOT APPLICABLE' -3 'MISSING' 1 '30 OR LESS' 2 '31-40'
             3 '41-50' 4 'MORE THAN 50' /
   F17A9A5   -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' /
   F17A10    -10 'PRIOR TO TREATMENT' -8 'PREADMISSION' -7 'NO DATA'
             -5 'NOT APPLICABLE' -4 'MULTIPLE RESPONSES' -3 'MISSING'
             -2 'NOT AVAILABLE' -1 'REFUSED' /
   F17A10A4  -5 'NOT APPLICABLE' -3 'MISSING' 1 '30 OR LESS' 2 '31-40'
             3 '41-50' 4 'MORE THAN 50' /
   F17A10A5  -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' /
   F17A11    -10 'PRIOR TO TREATMENT' -8 'PREADMISSION' -7 'NO DATA'
             -5 'NOT APPLICABLE' -4 'MULTIPLE RESPONSES' -3 'MISSING'
             -2 'NOT AVAILABLE' -1 'REFUSED' /
   F17A11A4  -5 'NOT APPLICABLE' -3 'MISSING' 1 '30 OR LESS' 2 '31-40'
             3 '41-50' 4 'MORE THAN 50' /
   F17A11A5  -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' /
   F17A12    -10 'PRIOR TO TREATMENT' -8 'PREADMISSION' -7 'NO DATA'
             -5 'NOT APPLICABLE' -4 'MULTIPLE RESPONSES' -3 'MISSING'
             -2 'NOT AVAILABLE' -1 'REFUSED' /
   F17A12A4  -5 'NOT APPLICABLE' -3 'MISSING' 1 '30 OR LESS' 2 '31-40'
             3 '41-50' 4 'MORE THAN 50' /
   F17A12A5  -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' /
   F17A13    -10 'PRIOR TO TREATMENT' -8 'PREADMISSION' -7 'NO DATA'
             -5 'NOT APPLICABLE' -4 'MULTIPLE RESPONSES' -3 'MISSING'
             -2 'NOT AVAILABLE' -1 'REFUSED' /
   F17A13A4  -5 'NOT APPLICABLE' -3 'MISSING' 1 '30 OR LESS' 2 '31-40'
             3 '41-50' 4 'MORE THAN 50' /
   F17A13A5  -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' /
   F17A14    -10 'PRIOR TO TREATMENT' -8 'PREADMISSION' -7 'NO DATA'
             -5 'NOT APPLICABLE' -4 'MULTIPLE RESPONSES' -3 'MISSING'
             -2 'NOT AVAILABLE' -1 'REFUSED' /
   F17A14A4  -5 'NOT APPLICABLE' -3 'MISSING' 1 '30 OR LESS' 2 '31-40'
             3 '41-50' 4 'MORE THAN 50' /
   F17A14A5  -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' /
   F17B      -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' /
   F18       -4 'MULTIPLE RESPONSES' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' /
   F19       -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO' /
   F20       -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES' 2 'NO' /
   F20A1     -5 'NOT APPLICABLE' -3 'MISSING' 1 'YES' 2 'NO OR UNSPECIFIED' /
   F20A2     -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO OR UNSPECIFIED' /
   F20A3     -5 'NOT APPLICABLE' -3 'MISSING' -2 'NOT AVAILABLE' 1 'YES'
             2 'NO OR UNSPECIFIED' /
   F20B      -5 'NOT APPLICABLE' -3 'MISSING' 1 'IN A LINKED SDU'
             2 'IN AN UNCONNECTED SDU' 3 'IN BOTH KINDS (MULTIPLE SDUs)'
             4 'UNKNOWN/NOT IN RECORD' /
   PRAFMODE  1 'FULL NPRAF' 2 'MINI NPRAF' /
   .

* SPSS MISSING VALUES COMMAND.

* MISSING VALUES
     PRGMTYPE (lo thru -1) /
     TRT2 (lo thru -1) /
     PRG2 (lo thru -1) /
     CELL (lo thru -1) /
     CELL2 (lo thru -1) /
     F3_1 (lo thru -1) /
     F3_2 (lo thru -1) /
     F3_3 (lo thru -1) /
     F4 (lo thru -1) /
     F7 (lo thru -1) /
     F7A_1 (lo thru -1) /
     F7A_2 (lo thru -1) /
     F7A_3 (lo thru -1) /
     F8 (lo thru -1) /
     F9 (lo thru -1) /
     F10A (lo thru -1) /
     F10B (lo thru -1) /
     F11 (lo thru -1) /
     F11B (lo thru -1) /
     F11C (lo thru -1) /
     F12 (lo thru -1) /
     F12C (lo thru -1) /
     F13M1 (lo thru -1) /
     F13M2 (lo thru -1) /
     F13M3 (lo thru -1) /
     F13M4 (lo thru -1) /
     F13M5 (lo thru -1) /
     F13M6 (lo thru -1) /
     F13M7 (lo thru -1) /
     F13M8 (lo thru -1) /
     F13M9 (lo thru -1) /
     F13M10 (lo thru -1) /
     F13M11 (lo thru -1) /
     F13M12 (lo thru -1) /
     F13M13 (lo thru -1) /
     F14 (lo thru -1) /
     F14A1 (lo thru -1.00) /
     F14A1M1 (lo thru -1) /
     F14A1M2 (lo thru -1) /
     F14A1M3 (lo thru -1) /
     F14A1M4 (lo thru -1) /
     F14A1M5 (lo thru -1) /
     F14A1M6 (lo thru -1) /
     F14A1M7 (lo thru -1) /
     F14A1M8 (lo thru -1) /
     F14A1M9 (lo thru -1) /
     F14A2 (lo thru -1.00) /
     F14A2M1 (lo thru -1) /
     F14A2M2 (lo thru -1) /
     F14A2M3 (lo thru -1) /
     F14A2M4 (lo thru -1) /
     F14A2M6 (lo thru -1) /
     F14A2M8 (lo thru -1) /
     F14A2M9 (lo thru -1) /
     F14A3 (lo thru -1.00) /
     F14A3M1 (lo thru -1) /
     F14A3M2 (lo thru -1) /
     F14A3M3 (lo thru -1) /
     F14A3M4 (lo thru -1) /
     F14A3M6 (lo thru -1) /
     F14A3M8 (lo thru -1) /
     F14A3M9 (lo thru -1) /
     F14A4 (lo thru -1.00) /
     F14A4M1 (lo thru -1) /
     F14A4M2 (lo thru -1) /
     F14A4M3 (lo thru -1) /
     F14A4M4 (lo thru -1) /
     F14A4M5 (lo thru -1) /
     F14A4M6 (lo thru -1) /
     F14A4M7 (lo thru -1) /
     F14A4M8 (lo thru -1) /
     F14A4M9 (lo thru -1) /
     F14A5 (lo thru -1.00) /
     F14A5M1 (lo thru -1) /
     F14A5M2 (lo thru -1) /
     F14A5M3 (lo thru -1) /
     F14A5M4 (lo thru -1) /
     F14A5M6 (lo thru -1) /
     F14A5M8 (lo thru -1) /
     F14A5M9 (lo thru -1) /
     F14A6 (lo thru -1.00) /
     F14A6M1 (lo thru -1) /
     F14A6M2 (lo thru -1) /
     F14A6M3 (lo thru -1) /
     F14A6M4 (lo thru -1) /
     F14A6M6 (lo thru -1) /
     F14A6M8 (lo thru -1) /
     F14A6M9 (lo thru -1) /
     F14A7 (lo thru -1.00) /
     F14A7M1 (lo thru -1) /
     F14A7M2 (lo thru -1) /
     F14A7M3 (lo thru -1) /
     F14A7M4 (lo thru -1) /
     F14A7M5 (lo thru -1) /
     F14A7M6 (lo thru -1) /
     F14A7M8 (lo thru -1) /
     F14A7M9 (lo thru -1) /
     F14A8 (lo thru -1.00) /
     F14A8M1 (lo thru -1) /
     F14A8M2 (lo thru -1) /
     F14A8M3 (lo thru -1) /
     F14A8M4 (lo thru -1) /
     F14A8M6 (lo thru -1) /
     F14A8M7 (lo thru -1) /
     F14A8M8 (lo thru -1) /
     F14A8M9 (lo thru -1) /
     F14A9 (lo thru -1.00) /
     F14A9M1 (lo thru -1) /
     F14A9M2 (lo thru -1) /
     F14A9M3 (lo thru -1) /
     F14A9M4 (lo thru -1) /
     F14A9M6 (lo thru -1) /
     F14A9M7 (lo thru -1) /
     F14A9M8 (lo thru -1) /
     F14A9M9 (lo thru -1) /
     F14A10 (lo thru -1.00) /
     F14A10M1 (lo thru -1) /
     F14A10M2 (lo thru -1) /
     F14A10M3 (lo thru -1) /
     F14A10M7 (lo thru -1) /
     F14A10M8 (lo thru -1) /
     F14A10M9 (lo thru -1) /
     F14A11 (lo thru -1.00) /
     F14A11M1 (lo thru -1) /
     F14A11M2 (lo thru -1) /
     F14A11M3 (lo thru -1) /
     F14A11M7 (lo thru -1) /
     F14A11M8 (lo thru -1) /
     F14A11M9 (lo thru -1) /
     F14A12 (lo thru -1.00) /
     F14A12M1 (lo thru -1) /
     F14A12M2 (lo thru -1) /
     F14A12M3 (lo thru -1) /
     F14A12M5 (lo thru -1) /
     F14A12M7 (lo thru -1) /
     F14A12M8 (lo thru -1) /
     F14A12M9 (lo thru -1) /
     F15A1 (lo thru -1, 7) /
     F15A2 (lo thru -1, 7) /
     F15A3 (lo thru -1, 7) /
     F15A4 (lo thru -1, 7) /
     F15A6 (lo thru -1, 7) /
     F15A7 (lo thru -1, 7) /
     F15A8 (lo thru -1, 7) /
     F15A9 (lo thru -1, 7) /
     F15A10 (lo thru -1, 7) /
     F15A11 (lo thru -1, 7) /
     F15A12 (lo thru -1, 7) /
     F15A13 (lo thru -1, 7) /
     F15A14 (lo thru -1, 7) /
     F15A15 (lo thru -1, 7) /
     F15A16 (lo thru -1, 7) /
     F15A17 (lo thru -1, 7) /
     F15A18 (lo thru -1, 7) /
     F15A19 (lo thru -1, 7) /
     F15A20 (lo thru -1) /
     F15A21 (lo thru -1) /
     F15A22 (lo thru -1, 7) /
     F15A23 (lo thru -1, 7) /
     F15A24 (lo thru -1, 7) /
     F16M1 (lo thru -1) /
     F16M2 (lo thru -1) /
     F16M3 (lo thru -1) /
     F16M4 (lo thru -1) /
     F16M5 (lo thru -1) /
     F16M6 (lo thru -1) /
     F16M7 (lo thru -1) /
     F16M8 (lo thru -1) /
     F16M9 (lo thru -1) /
     F16M11 (lo thru -1) /
     F16M12 (lo thru -1) /
     F17 (lo thru -1) /
     F17A1 (lo thru -1.00) /
     F17A1A4 (lo thru -1) /
     F17A1A5 (lo thru -1) /
     F17A2 (lo thru -1.00) /
     F17A2A4 (lo thru -1) /
     F17A2A5 (lo thru -1) /
     F17A3 (lo thru -1.00) /
     F17A3A4 (lo thru -1) /
     F17A3A5 (lo thru -1) /
     F17A4 (lo thru -1.00) /
     F17A4A4 (lo thru -1) /
     F17A4A5 (lo thru -1) /
     F17A5 (lo thru -1.00) /
     F17A5A4 (lo thru -1) /
     F17A5A5 (lo thru -1) /
     F17A6 (lo thru -1.00) /
     F17A6A4 (lo thru -1) /
     F17A6A5 (lo thru -1) /
     F17A7 (lo thru -1.00) /
     F17A7A4 (lo thru -1) /
     F17A7A5 (lo thru -1) /
     F17A8 (lo thru -1.00) /
     F17A8A4 (lo thru -1) /
     F17A8A5 (lo thru -1) /
     F17A9 (lo thru -1.00) /
     F17A9A4 (lo thru -1) /
     F17A9A5 (lo thru -1) /
     F17A10 (lo thru -1.00) /
     F17A10A4 (lo thru -1) /
     F17A10A5 (lo thru -1) /
     F17A11 (lo thru -1.00) /
     F17A11A4 (lo thru -1) /
     F17A11A5 (lo thru -1) /
     F17A12 (lo thru -1.00) /
     F17A12A4 (lo thru -1) /
     F17A12A5 (lo thru -1) /
     F17A13 (lo thru -1.00) /
     F17A13A4 (lo thru -1) /
     F17A13A5 (lo thru -1) /
     F17A14 (lo thru -1.00) /
     F17A14A4 (lo thru -1) /
     F17A14A5 (lo thru -1) /
     F17B (lo thru -1) /
     F18 (lo thru -1) /
     F19 (lo thru -1) /
     F20 (lo thru -1) /
     F20A1 (lo thru -1) /
     F20A2 (lo thru -1) /
     F20A3 (lo thru -1) /
     F20B (lo thru -1, 4) /
     PRAFMODE (lo thru -1) /
   .

EXECUTE.

* Create SPSS system file.

*SAVE OUTFILE="spss-filename.sav".
